com.google.gwt.logging.client

## Class LoggingPopup

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.SimplePanel
        - - com.google.gwt.user.client.ui.PopupPanel
          - - com.google.gwt.logging.client.LoggingPopup

All Implemented Interfaces:
  HasAttachHandlers, HasCloseHandlers<PopupPanel>, HasHandlers, EventListener, EventPreview, AcceptsOneWidget, HasAnimation, HasOneWidget, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IsWidget, SourcesPopupEvents, java.lang.Iterable<Widget>

    public class LoggingPopup
    extends PopupPanel

A simple popup to show log messages, which can be resized, minimized, and dragged to a different location.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.PopupPanel

`PopupPanel.AnimationType, PopupPanel.PositionCallback`

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

`HasWidgets.ForIsWidget`

### Field Summary

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`LoggingPopup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Widget w)` Adds a widget to this panel.
`void` `setWidget(Widget w)` Sets this panel's widget.

### Methods inherited from class com.google.gwt.user.client.ui.PopupPanel

`addAutoHidePartner, addCloseHandler, addPopupListener, center, getAnimationType, getContainerElement, getGlassElement, getGlassStyleName, getOffsetHeight, getOffsetWidth, getPopupLeft, getPopupTop, getStyleElement, getTitle, hide, hide, isAnimationEnabled, isAutoHideEnabled, isAutoHideOnHistoryEventsEnabled, isGlassEnabled, isModal, isPreviewingAllNativeEvents, isShowing, isVisible, onEventPreview, onKeyDownPreview, onKeyPressPreview, onKeyUpPreview, onPreviewNativeEvent, onUnload, removeAutoHidePartner, removePopupListener, setAnimationEnabled, setAnimationType, setAutoHideEnabled, setAutoHideOnHistoryEventsEnabled, setGlassEnabled, setGlassStyleName, setHeight, setModal, setPopupPosition, setPopupPositionAndShow, setPreviewingAllNativeEvents, setTitle, setVisible, setWidth, show, showRelativeTo`

### Methods inherited from class com.google.gwt.user.client.ui.SimplePanel

`getWidget, iterator, remove, setWidget`

### Methods inherited from class com.google.gwt.user.client.ui.Panel

`add, adopt, clear, doAttachChildren, doDetachChildren, orphan, remove`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### LoggingPopup

    public LoggingPopup()

### Method Detail

#### add

    public void add(Widget w)

Description copied from class: `SimplePanel`
Adds a widget to this panel.

Specified by:
  `add` in interface `HasWidgets`
Overrides:
  `add` in class `SimplePanel`
Parameters:
  `w` - the child widget to be added
See Also:
  `HasWidgets.add(Widget)`

#### setWidget

    public void setWidget(Widget w)

Description copied from class: `SimplePanel`
Sets this panel's widget. Any existing child widget will be removed.

Specified by:
  `setWidget` in interface `HasOneWidget`
Overrides:
  `setWidget` in class `PopupPanel`
Parameters:
  `w` - the panel's new widget, or `null` to clear the panel